#
# Automatically generated by kas 4.7
#
_source_dir: /repo
build_system: isar
header:
  includes:
  - kas/isar.yaml
  - kas/machine/sifive-fu540.yaml
  - kas/distro/ubuntu-noble.yaml
  - kas/image/isar-image-base.yaml
  - kas/package/pkg_example-raw.yaml
  - kas/package/pkg_hello-isar.yaml
  - kas/package/packages-distro.yaml
  - kas/opt/mirror-snapshot.yaml
  - kas/opt/user-root.yaml
  - kas/opt/user-isar.yaml
  - kas/opt/image-fstypes.yaml
  - kas/opt/crosscompile.yaml
  version: 18
local_conf_header:
  __menu_config_vars: |-
    KAS_IMAGE_PREINSTALL = "fdisk iproute2 iputils-ping isc-dhcp-client"
    KAS_USER_ROOT_PASSWORD = "root"
    KAS_USER_ISAR_PASSWORD = "isar"
    KAS_IMAGE_FSTYPES = ""
    KAS_ISAR_CROSS_COMPILE = "1"
menu_configuration:
  ANY_MACHINE_DISTRO: true
  APT_SNAPSHOT_CUSTOM_DATE: false
  APT_SNAPSHOT_GIT_DATE: true
  CACHE_DEB_SRC: false
  COMPAT_ARCH: false
  DEBIAN_BOOKWORM: false
  DEBIAN_BULLSEYE: false
  DEBIAN_BUSTER: false
  DEBIAN_SID: false
  DEBIAN_TRIXIE: false
  IMAGE_BASE: true
  IMAGE_CI: false
  IMAGE_DEBUG: false
  IMAGE_INSTALLER: false
  ISAR_CROSS_COMPILE: true
  KAS_IMAGE_FSTYPES: ''
  KAS_IMAGE_PREINSTALL: fdisk iproute2 iputils-ping isc-dhcp-client
  KAS_USER_ISAR_PASSWORD: isar
  KAS_USER_ROOT_PASSWORD: root
  MACHINE_BANANAPI: false
  MACHINE_BEAGLEPLAY: false
  MACHINE_CONTAINER_AMD64: false
  MACHINE_DE0_NANO_SOC: false
  MACHINE_HIKEY: false
  MACHINE_IMX6_SABRELITE: false
  MACHINE_NANOPI_NEO: false
  MACHINE_NANOPI_NEO_EFI: false
  MACHINE_PHYBOARD_MIRA: false
  MACHINE_QEMU_AMD64: false
  MACHINE_QEMU_AMD64_CIP: false
  MACHINE_QEMU_AMD64_ISO: false
  MACHINE_QEMU_AMD64_SB: false
  MACHINE_QEMU_ARM: false
  MACHINE_QEMU_ARM64: false
  MACHINE_QEMU_I386: false
  MACHINE_QEMU_MIPSEL: false
  MACHINE_QEMU_RISCV64: false
  MACHINE_RPI_ARM: false
  MACHINE_RPI_ARM64_V8: false
  MACHINE_RPI_ARM_V7: false
  MACHINE_RPI_ARM_V7L: false
  MACHINE_SIFIVE_FU540: true
  MACHINE_STARFIVE_VISIONFIVE2: false
  MACHINE_STM32MP15X: false
  MACHINE_VIRTUALBOX: false
  MACHINE_VMWARE: false
  MACHINE_X86_PC: false
  PACKAGE_COWSAY: false
  PACKAGE_ENABLE_FSCK: false
  PACKAGE_EXAMPLE_MODULE: false
  PACKAGE_EXAMPLE_PREBUILT: false
  PACKAGE_EXAMPLE_RAW: true
  PACKAGE_EXPAND_ON_FIRST_BOOT: false
  PACKAGE_HELLO: false
  PACKAGE_HELLO_ISAR: true
  PACKAGE_ISAR_CI_SSH_SETUP: false
  PACKAGE_ISAR_DISABLE_APT_CACHE: false
  PACKAGE_ISAR_EXCLUDE_DOCS: false
  PACKAGE_KSELFTEST: false
  PACKAGE_SAMEFILE: false
  PACKAGE_SSHD_REGEN_KEYS: false
  RASPIOS_BOOKWORM: false
  RASPIOS_BULLSEYE: false
  UBUNTU_FOCAL: false
  UBUNTU_JAMMY: false
  UBUNTU_NOBLE: true
  USER_ISAR: true
  USER_ROOT: true
  USE_APT_SNAPSHOT: true
  USE_CCACHE: false
